import config from './index.json'

//主要配置
export default {
    title: '安全管理系统',
    desc: '泓创智诚数字工程平台-安全管理系统',
    key: 'secure', // 配置主键,目前用于存储
    clientId: 'secure', // 客户端id
    clientSecret: 'secure_secret', // 客户端密钥
    tenantMode: true, // 是否开启租户模式
    tenantId: '000000', // 管理组租户编号
    captchaMode: false, // 是否开启验证码模式
    switchMode: false, // 是否开启部门切换模式
    tokenTime: 1740,
    tokenHeader: 'Blade-Auth',
    tokenKey: 'secure-access-token',
    refreshTokenKey: 'secure-refresh-token',
    ...config,
    ossUrl: 'https://bladex-chongqing-info.oss-cn-hangzhou.aliyuncs.com', //oss地址
    socket: 'wss://business.hcxxy.com/wss/websocket/', //测试线上
    //这里不再支持配置请求地址，请在 src/config/index.json 文件中配置。
    //相关参数，可查阅 src/config/index.md 文件说明
}
