//动态加载线上js文件
export const addDocumentsJs = () => {
    return new Promise((resolve) => {
        const script = document.createElement('script')
        script.src = 'http://47.110.251.215:6831/web-apps/apps/api/documents/api.js'
        script.type = 'text/javascript'
        document.head.appendChild(script)
        script.onload = () => {
            resolve()
        }
    })
}

//判断是否为网址
export const isPathUrl = (path) => {
    return /^(https?:|mailto:|tel:)/.test(path)
}


//获取当前域名
export const getTopUrl = () => {
    return window.location.href.split('/#/')[0]
}

//设置系统名称
export const setAppName = (name) => {
    const title = window.document.title
    window.document.title = `${title}${name ? ' - ' + name : ''}`
}
